Bug 16755 - allow SIP2 field DA ( hold patron name ) to be customized
Summary: allow SIP2 field DA ( hold patron name ) to be customized
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18104
  Show dependency treegraph
 
Reported: 2016-06-16 13:50 UTC by Nicole C. Engard
Modified: 2017-07-12 10:04 UTC (History)
7 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 16755 - allow SIP2 field DA ( hold patron name ) to be customized (3.61 KB, patch)
2016-12-29 14:26 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16755 - allow SIP2 field DA ( hold patron name ) to be customized (3.87 KB, patch)
2016-12-29 14:29 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16755 - allow SIP2 field DA ( hold patron name ) to be customized (3.98 KB, patch)
2017-03-07 14:35 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16755 - allow SIP2 field DA ( hold patron name ) to be customized (4.07 KB, patch)
2017-06-23 07:22 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2016-06-16 13:50:33 UTC
Goal of Development: To allow SIP2 field DA ( hold patron name ) to be customized.

Work to be done:
1) Add new parameter da_field_template to SIPConfig.xml
2) Modify C4::SIP::Sip::MsgType::handle_checkin to pass the value of da_field_template to C4::SIP::ILS::Item::hold_patron_name
3) Modify C4::SIP::ILS::Item::hold_patron_name to process the template and output as the patron name if a template is specified
Comment 1 Kyle M Hall 2016-12-29 14:26:55 UTC
Created attachment 58488 [details] [review]
Bug 16755 - allow SIP2 field DA ( hold patron name ) to be customized

The SIP2 DA field that Koha transmits is an odd and arbitrary format
that some SIP2 clients cannot handle. It would be best if this
format were customizable on a per-login basis in the same manner as
the AV field.

Test Plan:
1) Find an item that is checked out with holds
2) Return the item via SIP2 ( using the SIP2 cli emulator )
3) Note the value of the DA field
4) Apply this patch, restart your SIP2 server
5) Repeat step 2
6) Note the DA field value has not changed
7) Add this parameter to the login stanza you are using:
   da_field_template="[% patron.surname %][% IF patron.firstname %], [% patron.firstname %][% END %]"
8) Restart the SIP2 server again
9) Repeat step 2
10) Note the DA field returned is now in the format "$surname, $firstname"
Comment 2 Kyle M Hall 2016-12-29 14:29:13 UTC
Created attachment 58489 [details] [review]
Bug 16755 - allow SIP2 field DA ( hold patron name ) to be customized

The SIP2 DA field that Koha transmits is an odd and arbitrary format
that some SIP2 clients cannot handle. It would be best if this
format were customizable on a per-login basis in the same manner as
the AV field.

Test Plan:
1) Find an item that is checked out with holds
2) Return the item via SIP2 ( using the SIP2 cli emulator )
3) Note the value of the DA field
4) Apply this patch, restart your SIP2 server
5) Repeat step 2
6) Note the DA field value has not changed
7) Add this parameter to the login stanza you are using:
   da_field_template="[% patron.surname %][% IF patron.firstname %], [% patron.firstname %][% END %]"
8) Restart the SIP2 server again
9) Repeat step 2
10) Note the DA field returned is now in the format "$surname, $firstname"
Comment 3 Kyle M Hall 2017-03-07 14:35:27 UTC
Created attachment 60875 [details] [review]
Bug 16755 - allow SIP2 field DA ( hold patron name ) to be customized

The SIP2 DA field that Koha transmits is an odd and arbitrary format
that some SIP2 clients cannot handle. It would be best if this
format were customizable on a per-login basis in the same manner as
the AV field.

Test Plan:
1) Find an item that is checked out with holds
2) Return the item via SIP2 ( using the SIP2 cli emulator )
3) Note the value of the DA field
4) Apply this patch, restart your SIP2 server
5) Repeat step 2
6) Note the DA field value has not changed
7) Add this parameter to the login stanza you are using:
   da_field_template="[% patron.surname %][% IF patron.firstname %], [% patron.firstname %][% END %]"
8) Restart the SIP2 server again
9) Repeat step 2
10) Note the DA field returned is now in the format "$surname, $firstname"

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Benjamin Daeuber <BDaeuber@cityoffargo.com>
Comment 4 Marcel de Rooy 2017-06-23 07:22:00 UTC
Created attachment 64578 [details] [review]
Bug 16755 - allow SIP2 field DA ( hold patron name ) to be customized

The SIP2 DA field that Koha transmits is an odd and arbitrary format
that some SIP2 clients cannot handle. It would be best if this
format were customizable on a per-login basis in the same manner as
the AV field.

Test Plan:
1) Find an item that is checked out with holds
2) Return the item via SIP2 ( using the SIP2 cli emulator )
3) Note the value of the DA field
4) Apply this patch, restart your SIP2 server
5) Repeat step 2
6) Note the DA field value has not changed
7) Add this parameter to the login stanza you are using:
   da_field_template="[% patron.surname %][% IF patron.firstname %], [% patron.firstname %][% END %]"
8) Restart the SIP2 server again
9) Repeat step 2
10) Note the DA field returned is now in the format "$surname, $firstname"

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Benjamin Daeuber <BDaeuber@cityoffargo.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Jonathan Druart 2017-07-06 18:48:48 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 6 Fridolin SOMERS 2017-07-12 10:04:20 UTC
Enhancement not pushed to 17.05.x